<?
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !iSUPERADMIN) { header("Location:../../index.php"); exit; }

// Infusion Information
$inf_name = 'RSS Parser';
$inf_version = '1';
$inf_author = 'Surreal (Scott Rutherford)';
$inf_email = 'scott@maiden-city.co.uk';
$inf_web = 'www.maiden-city.co.uk';
$inf_description = 'Adds RSS data to a panel.';

// Infusion Paths
// inf_folder : The folder in which the infusion resides e.g. "new_infusion";
// inf_admin : The name of the Admin Panel (if required) e.g. "new_infusion_admin.php";
$inf_folder = 'rss_parser_panel';
$inf_admin = 'rss_parser_admin.php';

// If any of the following items are not required, you can delete the entire
// line, or ideally set the parameter to ""; i.e. leave it blank.

// Infusion Links : Adds a link to Site Links (if required).
$inf_link_name = '';
$inf_link_url = '';

// Database table commands are stored in an array, the first table, or a single
// table must always be in array [0].

// Database Table information : Create database tables.
$inf_create_tables[0] = 
 	'ALTER TABLE '.$fusion_prefix.'settings 
		ADD rss_file varchar(255),
		ADD rss_num_center_items smallint(2),
		ADD rss_num_side_items smallint(2)';
	
// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_drop_tables[0] = 'ALTER TABLE '.$fusion_prefix.'settings 
		DROP rss_file,
		DROP rss_num_center_items,
		DROP rss_num_side_items';

// If infusion is a newer version alter tables.
$inf_upgrade_alter_tables[0] = '';
?>