<?php
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| RSS Parser Infusion for PHP-Fusion 5        |
|---------------------------------------------|
| author: Scott Rutherford (surreal)  2005   |
| web: http://www.maiden-city.co.uk           |
| email: scott@maiden-city.co.uk              |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }
include_once(FUSION_BASE.'fusion_infusions/rss_parser_panel/lang/'.$settings['language'].'.php');


if ($settings['maintenance'] != "1") {
	if($p_data['panel_side'] == 2) {
		opentable(LAN_RSS_100);
			if(!include_once(FUSION_BASE.'fusion_infusions/rss_parser_panel/parser.php')) {
				print LAN_RSS_101;
			} elseif(empty($settings['rss_file'])) {
				print LAN_RSS_102;
			} elseif(!$news = $rss_parser->parse($settings['rss_file'], $settings['rss_num_center_items'])) {
				print LAN_RSS_103;
			} else {
				foreach($news as $data) {
					print '<b><a href="'.$data['link'].'">'.$data['title'].'</a></b><br />'.$data['description'].'<br /><br />';
				}
			}
		closetable();		
	} else {
		openside(LAN_RSS_100);
			if(!include_once(FUSION_BASE.'fusion_infusions/rss_parser_panel/parser.php')) {
				print LAN_RSS_101;
			} elseif(empty($settings['rss_file'])) {
				print LAN_RSS_102;
			} elseif(!$news = $rss_parser->parse($settings['rss_file'], $settings['rss_num_side_items'])) {
				print LAN_RSS_103;
			} else {
				print '<span style="line-height:175%">'; 
				foreach($news as $data) {
					print '<b><a href="'.$data['link'].'">'.substr($data['title'], 0, 20).'...</a></b><br />';
				}
				print '</span>';
			}
		closeside();
	}
		
}
?>